System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Collections.CollectionBase

The class allows you to specify the derived types that can be inserted into an array returned by a public field or public read/write property.

An instance of this class is returned by the property of the class. The class is used when overriding the set of objects that can be inserted into an array to which the has been applied.

For each new type you want the field or property to accept, create an and use the to add the object to the collection returned by the property. the to an , that specifies the type of the object that contains the field or property, and the name of the field or property. Construct an with the before calling the or method.

Represents a collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Adds an to the collection.

  The index of the added item.

  The to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether the collection contains the specified .

  true if the collection contains the specified ; otherwise, false.

  The to check for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies an array to the collection, starting at a specified target index.

  The array of objects to copy to the collection. The index at which the copied attributes begin.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Returns the zero-based index of the first occurrence of the specified in the collection or -1 if the attribute is not found in the collection.

  The first index of the in the collection or -1 if the attribute is not found in the collection.

  The to locate in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Inserts an into the collection at the specified index.

  The index at which the attribute is inserted. The to insert.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlArrayItemAttribute `` To be added: an object of type 'int' To be added To be added: an object of type 'XmlArrayItemAttribute' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The implementation of this is the same as the .

  Removes an from the collection, if it is present.

  The to remove.